class AuthUser {
  final String id;
  final String displayName;
  final String email;
  final bool emailVerified;
  final Future<void> Function() sendVerificationEmail;
  final bool isLoggedIn;

  AuthUser(this.id,
      {required this.displayName,
      required this.email,
      required this.emailVerified,
      required this.sendVerificationEmail,
      this.isLoggedIn = false});

  AuthUser.notLoggedIn()
      : this("",
            displayName: "",
            email: "",
            emailVerified: false,
            sendVerificationEmail: () => Future.delayed(Duration.zero),
            isLoggedIn: false);

  @override
  String toString() {
    return 'AuthUser{id: $id, displayName: $displayName, email: $email, emailVerified: $emailVerified, isLoggedIn: $isLoggedIn}';
  }
}
